Package org.eclipse.cdt.utils.pty

# Enum Class PTY.Mode

java.lang.Object
java.lang.Enum<PTY.Mode>
org.eclipse.cdt.utils.pty.PTY.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<PTY.Mode>`, `java.lang.constant.Constable`

Enclosing class:
  PTY

public static enum PTY.Mode extends Enum<PTY.Mode>
The pty modes.

Since:
  5.6

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONSOLE`
This mode is for use with an Eclipse console.
`TERMINAL`
This mode is for use with a terminal emulator.

## Method Summary

Modifier and Type
Method
Description
`static PTY.Mode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PTY.Mode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CONSOLE

public static final PTY.Mode CONSOLE
This mode is for use with an Eclipse console.

### TERMINAL

public static final PTY.Mode TERMINAL
This mode is for use with a terminal emulator.

## Method Details

### values

public static PTY.Mode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PTY.Mode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null